Debian Bug report logs - #646927
libahven3-dev and libahven2-dev: error when trying to install together

version graph

Packages: libahven3-dev, libahven2-dev; Maintainer for libahven3-dev is Reto Buerki <reet@codelabs.ch>; Source for libahven3-dev is src:ahven. Maintainer for libahven2-dev is (unknown);

Reported by: Ralf Treinen <treinen@debian.org>

Date: Fri, 28 Oct 2011 12:37:49 UTC

Severity: serious

Tags: patch

Fixed in version ahven/2.1-2

Done: Reto Buerki <reet@codelabs.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Reto Buerki <reet@codelabs.ch>:
Bug#646927; Package libahven2-dev,libahven3-dev. (Fri, 28 Oct 2011 12:37:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@debian.org>:
New Bug report received and forwarded. Copy sent to Reto Buerki <reet@codelabs.ch>.

Your message had a Version: pseudo-header with an invalid package version:

libahven3-dev/2.1-1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 28 Oct 2011 12:37:54 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@debian.org>
To: submit@bugs.debian.org
Subject: libahven3-dev and libahven2-dev: error when trying to install together
Date: Fri, 28 Oct 2011 14:24:12 +0200
Package: libahven2-dev,libahven3-dev
Version: libahven2-dev/1.9-1
Version: libahven3-dev/2.1-1
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2011-10-28
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  gnat-4.6-base libgmp10 libmpfr4 libmpc2 cpp-4.6 binutils libgomp1
  libquadmath0 gcc-4.6 libgnat-4.6 libc-dev-bin linux-libc-dev libc6-dev
  libgnatvsn4.6 libgnatprj4.6 gnat-4.6 libahven19.0 libahven2-dev libahven21.0
  libahven3-dev
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package gnat-4.6-base.
(Reading database ... 10587 files and directories currently installed.)
Unpacking gnat-4.6-base (from .../gnat-4.6-base_4.6.1-6_amd64.deb) ...
Selecting previously unselected package libgmp10.
Unpacking libgmp10 (from .../libgmp10_2%3a5.0.2+dfsg-2_amd64.deb) ...
Selecting previously unselected package libmpfr4.
Unpacking libmpfr4 (from .../libmpfr4_3.1.0-2_amd64.deb) ...
Selecting previously unselected package libmpc2.
Unpacking libmpc2 (from .../libmpc2_0.9-4_amd64.deb) ...
Selecting previously unselected package cpp-4.6.
Unpacking cpp-4.6 (from .../cpp-4.6_4.6.2-1_amd64.deb) ...
Selecting previously unselected package binutils.
Unpacking binutils (from .../binutils_2.21.90.20111025-1_amd64.deb) ...
Selecting previously unselected package libgomp1.
Unpacking libgomp1 (from .../libgomp1_4.6.2-1_amd64.deb) ...
Selecting previously unselected package libquadmath0.
Unpacking libquadmath0 (from .../libquadmath0_4.6.2-1_amd64.deb) ...
Selecting previously unselected package gcc-4.6.
Unpacking gcc-4.6 (from .../gcc-4.6_4.6.2-1_amd64.deb) ...
Selecting previously unselected package libgnat-4.6.
Unpacking libgnat-4.6 (from .../libgnat-4.6_4.6.1-6_amd64.deb) ...
Selecting previously unselected package libc-dev-bin.
Unpacking libc-dev-bin (from .../libc-dev-bin_2.13-21_amd64.deb) ...
Selecting previously unselected package linux-libc-dev.
Unpacking linux-libc-dev (from .../linux-libc-dev_3.0.0-5_amd64.deb) ...
Selecting previously unselected package libc6-dev.
Unpacking libc6-dev (from .../libc6-dev_2.13-21_amd64.deb) ...
Selecting previously unselected package libgnatvsn4.6.
Unpacking libgnatvsn4.6 (from .../libgnatvsn4.6_4.6.1-6_amd64.deb) ...
Selecting previously unselected package libgnatprj4.6.
Unpacking libgnatprj4.6 (from .../libgnatprj4.6_4.6.1-6_amd64.deb) ...
Selecting previously unselected package gnat-4.6.
Unpacking gnat-4.6 (from .../gnat-4.6_4.6.1-6_amd64.deb) ...
Selecting previously unselected package libahven19.0.
Unpacking libahven19.0 (from .../libahven19.0_1.9-1_amd64.deb) ...
Selecting previously unselected package libahven2-dev.
Unpacking libahven2-dev (from .../libahven2-dev_1.9-1_amd64.deb) ...
Selecting previously unselected package libahven21.0.
Unpacking libahven21.0 (from .../libahven21.0_2.1-1_amd64.deb) ...
Selecting previously unselected package libahven3-dev.
Unpacking libahven3-dev (from .../libahven3-dev_2.1-1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/libahven3-dev_2.1-1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/ada/adainclude/ahven.gpr', which is also in package libahven2-dev 1.9-1
configured to not write apport reports
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/libahven3-dev_2.1-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/lib/ada/adalib/ahven/ahven-astrings.ali
  /usr/lib/ada/adalib/ahven/ahven-framework.ali
  /usr/lib/ada/adalib/ahven/ahven-listeners-basic.ali
  /usr/lib/ada/adalib/ahven/ahven-listeners.ali
  /usr/lib/ada/adalib/ahven/ahven-parameters.ali
  /usr/lib/ada/adalib/ahven/ahven-results.ali
  /usr/lib/ada/adalib/ahven/ahven-runner.ali
  /usr/lib/ada/adalib/ahven/ahven-slist.ali
  /usr/lib/ada/adalib/ahven/ahven-tap_runner.ali
  /usr/lib/ada/adalib/ahven/ahven-temporary_output.ali
  /usr/lib/ada/adalib/ahven/ahven-text_runner.ali
  /usr/lib/ada/adalib/ahven/ahven-xml_runner.ali
  /usr/lib/ada/adalib/ahven/ahven.ali
  /usr/lib/ada/adalib/ahven/ahven_compat.ali
  /usr/lib/libahven.a
  /usr/lib/libahven.so
  /usr/share/ada/adainclude/ahven.gpr
  /usr/share/ada/adainclude/ahven/ahven-astrings.ads
  /usr/share/ada/adainclude/ahven/ahven-framework.adb
  /usr/share/ada/adainclude/ahven/ahven-framework.ads
  /usr/share/ada/adainclude/ahven/ahven-listeners-basic.adb
  /usr/share/ada/adainclude/ahven/ahven-listeners-basic.ads
  /usr/share/ada/adainclude/ahven/ahven-listeners.ads
  /usr/share/ada/adainclude/ahven/ahven-parameters.adb
  /usr/share/ada/adainclude/ahven/ahven-parameters.ads
  /usr/share/ada/adainclude/ahven/ahven-results.adb
  /usr/share/ada/adainclude/ahven/ahven-results.ads
  /usr/share/ada/adainclude/ahven/ahven-runner.adb
  /usr/share/ada/adainclude/ahven/ahven-runner.ads
  /usr/share/ada/adainclude/ahven/ahven-slist.adb
  /usr/share/ada/adainclude/ahven/ahven-slist.ads
  /usr/share/ada/adainclude/ahven/ahven-tap_runner.adb
  /usr/share/ada/adainclude/ahven/ahven-tap_runner.ads
  /usr/share/ada/adainclude/ahven/ahven-temporary_output.adb
  /usr/share/ada/adainclude/ahven/ahven-temporary_output.ads
  /usr/share/ada/adainclude/ahven/ahven-text_runner.adb
  /usr/share/ada/adainclude/ahven/ahven-text_runner.ads
  /usr/share/ada/adainclude/ahven/ahven-xml_runner.adb
  /usr/share/ada/adainclude/ahven/ahven-xml_runner.ads
  /usr/share/ada/adainclude/ahven/ahven.adb
  /usr/share/ada/adainclude/ahven/ahven.ads
  /usr/share/ada/adainclude/ahven/ahven_compat.adb
  /usr/share/ada/adainclude/ahven/ahven_compat.ads

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.




Information forwarded to debian-bugs-dist@lists.debian.org, Reto Buerki <reet@codelabs.ch>:
Bug#646927; Package libahven2-dev,libahven3-dev. (Wed, 16 Nov 2011 10:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Reto Buerki <reet@codelabs.ch>. (Wed, 16 Nov 2011 10:57:18 GMT) Full text and rfc822 format available.

Message #10 received at 646927@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 642612@bugs.debian.org, 646927@bugs.debian.org
Subject: ahven: diff for NMU version 2.1-1.1
Date: Wed, 16 Nov 2011 11:55:08 +0100
[Message part 1 (text/plain, inline)]
tags 642612 + patch
tags 642612 + pending
tags 646927 + patch
tags 646927 + pending
thanks

Dear maintainer,

I've prepared an NMU for ahven (versioned as 2.1-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards,

OdyX
[ahven-2.1-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 10:57:57 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 10:57:58 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#646927; Package libahven2-dev,libahven3-dev. (Thu, 17 Nov 2011 09:51:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reto Buerki <reet@codelabs.ch>:
Extra info received and forwarded to list. (Thu, 17 Nov 2011 09:51:36 GMT) Full text and rfc822 format available.

Message #19 received at 646927@bugs.debian.org (full text, mbox):

From: Reto Buerki <reet@codelabs.ch>
To: Didier Raboud <odyx@debian.org>
Cc: 646927@bugs.debian.org, Ludovic Brenta <ludovic@ludovic-brenta.org>
Subject: Re: Bug#642612: ahven: diff for NMU version 2.1-1.1
Date: Thu, 17 Nov 2011 10:40:33 +0100
Hi,

On 11/16/2011 11:55 AM, Didier Raboud wrote:
> I've prepared an NMU for ahven (versioned as 2.1-1.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

Thanks for preparing an NMU for ahven. But I think the better approach
would be for me to prepare a new upload with the following diff:

diff --git a/debian/control b/debian/control
index 5322d90..57b5b7d 100644
--- a/debian/control
+++ b/debian/control
@@ -22,6 +22,7 @@ Package: libahven3-dev
 Section: libdevel
 Architecture: amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386
mips mipsel powerpc ppc64 s390 sparc
 Depends: ${misc:Depends}, libahven21.0 (= ${binary:Version}), gnat-4.6
+Conflicts: libahven1-dev, libahven2-dev

The explicit conflict with libahven-dev is not required because this
package depends on gnat-4.4. gnat-4.4 and gnat-4.6 already conflict so
it is not possible to install libahven-dev and libahven3-dev together.

Furthermore I want my package to explicitly depend on gnat-4.6 (not
gnat). See e.g. the (closed) bug #533157 for the reason.

Please tell me if this is ok for you.

- reto






Information forwarded to debian-bugs-dist@lists.debian.org, Reto Buerki <reet@codelabs.ch>:
Bug#646927; Package libahven2-dev,libahven3-dev. (Thu, 17 Nov 2011 10:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Reto Buerki <reet@codelabs.ch>. (Thu, 17 Nov 2011 10:06:17 GMT) Full text and rfc822 format available.

Message #24 received at 646927@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Reto Buerki <reet@codelabs.ch>
Subject: Re: Bug#642612: ahven: diff for NMU version 2.1-1.1
Date: Thu, 17 Nov 2011 11:02:22 +0100
[Message part 1 (text/plain, inline)]
Le jeudi, 17 novembre 2011 10.40:33, vous avez écrit :
> Hi,
> 
> On 11/16/2011 11:55 AM, Didier Raboud wrote:
> > I've prepared an NMU for ahven (versioned as 2.1-1.1) and
> > uploaded it to DELAYED/2. Please feel free to tell me if I
> > should delay it longer.
> 
> Thanks for preparing an NMU for ahven. But I think the better approach
> would be for me to prepare a new upload with the following diff:
> (…)
> Furthermore I want my package to explicitly depend on gnat-4.6 (not
> gnat). See e.g. the (closed) bug #533157 for the reason.
> 
> Please tell me if this is ok for you.

No problem; I just want to have the list of RC bugs go smaller.

I have just cancelled my upload to DEFERRED. Please make sure to upload those 
RC bugfixes "soon".

Cheers,

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Reply sent to Reto Buerki <reet@codelabs.ch>:
You have taken responsibility. (Wed, 23 Nov 2011 21:51:16 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@debian.org>:
Bug acknowledged by developer. (Wed, 23 Nov 2011 21:51:16 GMT) Full text and rfc822 format available.

Message #29 received at 646927-close@bugs.debian.org (full text, mbox):

From: Reto Buerki <reet@codelabs.ch>
To: 646927-close@bugs.debian.org
Subject: Bug#646927: fixed in ahven 2.1-2
Date: Wed, 23 Nov 2011 21:47:42 +0000
Source: ahven
Source-Version: 2.1-2

We believe that the bug you reported is fixed in the latest version of
ahven, which is due to be installed in the Debian FTP archive:

ahven-dbg_2.1-2_i386.deb
  to main/a/ahven/ahven-dbg_2.1-2_i386.deb
ahven_2.1-2.debian.tar.gz
  to main/a/ahven/ahven_2.1-2.debian.tar.gz
ahven_2.1-2.dsc
  to main/a/ahven/ahven_2.1-2.dsc
libahven21.0_2.1-2_i386.deb
  to main/a/ahven/libahven21.0_2.1-2_i386.deb
libahven3-dev_2.1-2_i386.deb
  to main/a/ahven/libahven3-dev_2.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646927@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reto Buerki <reet@codelabs.ch> (supplier of updated ahven package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Nov 2011 17:27:08 +0100
Source: ahven
Binary: libahven21.0 libahven3-dev ahven-dbg
Architecture: source i386
Version: 2.1-2
Distribution: unstable
Urgency: low
Maintainer: Reto Buerki <reet@codelabs.ch>
Changed-By: Reto Buerki <reet@codelabs.ch>
Description: 
 ahven-dbg  - Unit test library for Ada (debug)
 libahven21.0 - Unit test library for Ada
 libahven3-dev - Unit test library for Ada (development)
Closes: 646927
Changes: 
 ahven (2.1-2) unstable; urgency=low
 .
   * Add conflict with libahven2-dev (Closes: #646927)
   * Enable DM upload
   * Update Vcs-Git URL
Checksums-Sha1: 
 5763c8dd3bb32517592e1d5c5776dc93f2cd7848 1404 ahven_2.1-2.dsc
 b125816b34f7080dc9d1ac6edd4708adc3986684 6302 ahven_2.1-2.debian.tar.gz
 5d752bc39ede82ab796a760a25aa7d524fd6a632 81344 libahven21.0_2.1-2_i386.deb
 d8100411a8271b4571cae1ac8b55b93fb1ec05a9 160076 libahven3-dev_2.1-2_i386.deb
 6160c51f8bb1c04324ad55f5376f711370ab81ac 94068 ahven-dbg_2.1-2_i386.deb
Checksums-Sha256: 
 08fc64b4fca298716275a817e998b9014d913e5479ae75664852c0f7f6d2a4ff 1404 ahven_2.1-2.dsc
 beb07c9b4b295c43542ecd9c6228a5fb9785db7e5cf22a727aeaed25898c8713 6302 ahven_2.1-2.debian.tar.gz
 eaf36ad80935d2fff1f70b6f3404e622989c05b6ec2aaa3e1b4f3740ee99e4b8 81344 libahven21.0_2.1-2_i386.deb
 36abd2d5bf1c4d86f6d12ed032bce6093621e80248b9da546e6e1a5739d7a991 160076 libahven3-dev_2.1-2_i386.deb
 3022479782de42fa917a09ee9d39567fd4ffdfb4095e507234cadd66e65ea647 94068 ahven-dbg_2.1-2_i386.deb
Files: 
 41946e388e0e29441a1d1ff1c86d5b75 1404 libs optional ahven_2.1-2.dsc
 d90592f6f848704653feb03937f1467c 6302 libs optional ahven_2.1-2.debian.tar.gz
 f6afec585188e3306718e2d9252af659 81344 libs optional libahven21.0_2.1-2_i386.deb
 735d7ca1586c80a2a965e44b8b9848f6 160076 libdevel optional libahven3-dev_2.1-2_i386.deb
 484a38f6c2adf787670b55ed8675b67f 94068 debug extra ahven-dbg_2.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk7NZ7oACgkQ+C5cwEsrK54WYgCfdwZfXajKO857HRrFxPwnPRPv
qVIAnjI8iQsX2M1negl1w6714zf8AEAK
=69lB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Dec 2011 07:36:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:38:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.